Package Details: nvidia-xrun-pm 0.3.2-2

Git Clone URL: https://aur.archlinux.org/nvidia-xrun-pm.git (read-only, click to copy)
Package Base: nvidia-xrun-pm
Description: Alternative version of nvidia-xrun, that relies on kernel PM instead of bbswitch
Upstream URL: https://github.com/michelesr/nvidia-xrun-pm
Licenses: GPL
Conflicts: nvidia-xrun
Provides: nvidia-xrun
Submitter: michelesr
Maintainer: michelesr
Last Packager: michelesr
Votes: 1
Popularity: 0.000002
First Submitted: 2018-11-28 18:33
Last Updated: 2020-09-30 15:35

Latest Comments

MartinX3 commented on 2020-09-30 16:42

@michelesr Thank you very much for the update :)

Sadly I removed it after testing. Seems I need to start my window manager with xrun, instead of using it like optirun/primusrun, which makes it unusable for me, since I always run a graphical environment on the intel iGPU.

michelesr commented on 2020-09-30 15:39

@MartinX3 I've updated the dependency to use 'NVIDIA-MODULE', so now it should work with other nvidia packages which provide it.

However, I don't recommend using this package as nvidia-xrun-pm has been merged into regular nvidia-xrun, so I'd recommend using nvidia-xrun-git if you need the patches from nvidia-xrun-pm (those changes haven't been released yet unfortunately so nvidia-xrun on AUR won't have them)

MartinX3 commented on 2020-09-27 21:15

If you run the LTS kernel, it wants to force you to install the packages "nvidia", instead "nvidia-lts" and "kernel" instead "kernel-lts". Please fix it.

Ashark commented on 2019-07-17 18:32

@michelesr There is a Submit Request button on the right. But I think let's keep this package until nvidia-xrun 0.4 release.

michelesr commented on 2019-07-17 09:24

@Ashark I flagged this package as out of date, I'm not sure how to remove it from the AUR.

Ashark commented on 2019-07-16 19:42

@michelesr then why not to remove this package? And also nvidia-xrun-pm-git.

michelesr commented on 2019-05-06 10:24

This package is now deprecated has nvidia-xrun-pm code has been merged into nvidia-xrun and can be installed from the nvidia-xrun-git package.

michelesr commented on 2019-03-20 09:58

@polyzen: done, thanks for your feedback.

polyzen commented on 2019-03-15 02:41

Please tag a release and package that or this will be have to be renamed to nvidia-xrun-pm-git: https://wiki.archlinux.org/index.php/VCS_package_guidelines